Create Recurring Resident Charge: Propertyware REST
https://api.propexo.com/v1/recurring-resident-charges/propertyware_rest/| Method | Interface |
|---|---|
| POST /v1/leases/autocharges | Leases |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the financial account
The amount of the recurring resident charge, in cents
Possible values: > 0
The day of the month the charge is due. When frequency_normalized is set to 'WEEKLY', the charge_due_day must be between 1 and 7
Possible values: >= 1 and <= 31
The start date associated with the recurring resident charge
Show 2 variants
The frequency of the recurring resident charge
Show 6 enum values
WEEKLYMONTHLYQUARTERLYSEMIANNUALANNUALANNUAL_ACCRUALThe reference number for the recurring resident charge
Description of the recurring resident charge
The end date associated with the recurring resident charge
Show 2 variants
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the financial account
The amount of the recurring resident charge, in cents
Possible values: > 0
The day of the month the charge is due. When frequency_normalized is set to 'WEEKLY', the charge_due_day must be between 1 and 7
Possible values: >= 1 and <= 31
Show 2 variants
The frequency of the recurring resident charge
Show 6 enum values
WEEKLYMONTHLYQUARTERLYSEMIANNUALANNUALANNUAL_ACCRUALThe reference number for the recurring resident charge
Description of the recurring resident charge
The end date associated with the recurring resident charge
Show 2 variants
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/recurring-resident-charges/propertyware_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"charge_due_day": 0,
"start_date": "2024-07-29T15:51:28.071Z",
"frequency_normalized": "WEEKLY"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"charge_due_day": 0,
"start_date": "2024-07-29T15:51:28.071Z",
"frequency_normalized": "WEEKLY",
"reference_number": "string",
"description": "string",
"end_date": "2024-07-29T15:51:28.071Z"
}
}